package bus30;

// die Klasse repraesentiert eine Haltestelle
public class Haltestelle {

	private String name;

	// liefert zu einem Namen das entsprechende Haltestellen-Objekt;
	// die Exception wird geworfen, wenn zu dem Namen keine Haltestelle
	// existiert
	public static Haltestelle getHaltestelle(String name) throws UnbekannteHaltestelleException {
		// nur zum Testen
		if (name.equals("Krankenhaus")) {
			throw new UnbekannteHaltestelleException();
		}
		Haltestelle hs = new Haltestelle();
		hs.name = name;
		return hs;
	}

	// liefert den Namen einer Haltestelle
	public String getName() {
		return name;
	}

	// liefert die Fahrzeit in Minuten zwischen der aufgerufenen
	// Haltestelle und der als Parameter uebergebenen Haltestelle
	public int getFahrzeit(Haltestelle nachbarStelle) {
		return nachbarStelle.name.length(); // nur zum Testen
	}

}
